Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2022 16:14:11 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 19 Jan 2022 14:55:35 +0100
> 
> But this should be, but isn't currently:
> 
> (textsec-domain-suspicious-p "Сгсе.ru")
> => nil

Why? .ru is a top-level domain, it doesn't affect what should be
before the dot, I think?

If you replace "Сгсе.ru" with "Cгсе.ru", you do get a warning.

> Is that what they mean here?

I'm not sure I understand the purpose of finding which scripts
"contain a whole-script confusable with a string X".  What are we
supposed to do with the resulting list?